<div class="row">
  <div class="col">
    <div class="card card-small mb-4">
      <div class="card-header border-bottom">
        <%= form_for OpenStruct.new(params[:search]), as: :search, url: search_staff_cases_path, method: :get do |f| %>
        <%= link_to "Upload cases", upload_file_staff_cases_path, class: "mb-2 btn btn-outline-primary mr-2", style: "float: right;"%>
        <div class="row">
          <div class="col-xl-2", style="padding-right: 0px;">
          <%= f.select :client_id, Client.all.collect{|c| [c.name, c.id]}, {:include_blank => '-- Client --'}, class: 'form-control' %>
          </div>
          <div class="col-xl-2", style="padding-right: 0px;">
          <%= f.select :status, Case::STATUSES.collect{|k,v| [v, k]}, {:include_blank => '-- Status --'},class: 'form-control' %>
          </div>
          <div class="col-xl-2", style="padding-right: 0px;">
          <%= f.select :case_type, Case::CASE_TYPES.collect{|k,v| [v, k]}, {:include_blank => '-- Case Type-'},class: 'form-control' %>
          </div>
           <div class="col-xl-2", style="padding-right: 0px;">
          <%= f.select :user_id, User.where(role: 'executive').collect{|u| [u.name, u.id]}, {:include_blank => '-- Executive --'},class: 'form-control' %>
          </div>
          <div class="col-xl-2", style="padding-right: 0px;">
            <%= f.text_field :query, placeholder: "Search Address", class: 'form-control' %>
          </div>
          <div class="col-xl-2", style="padding-right: 0px;">
            <%= submit_tag "Filter", class: 'btn btn-accent' %>
          </div>
        </div>
        <% end %>
      </div>

      <% if @cases.present? %>
        <%= form_for :cases, url: bulk_assignment_staff_cases_path, method: :PUT do |f| %>
        <div style="float: right; padding-right: 20px; padding-top: 25px;"><%= link_to "Download as CSV", search_staff_cases_path(format: "csv", search: params[:search]&.to_enum.to_h) %></div>

        <div class="row", style="margin: 1%;">
          <div class="col-xl-3" style="padding-right: 0px;">
          <%= select_tag :user_id, options_for_select([['--Executive--', nil]] + @users.collect{|u| [u.name, u.id]}), class: 'form-control'  %>
          </div>
          <div>
          <%= f.submit 'Assign', class: 'btn bg-info text-white' %>
          </div>
        </div>

        <div class="card-body p-0 pb-3 text-center">
          <table class="table mb-0">
            <thead class="bg-light">
              <tr>
                <th class="border-0"></th>
                <th class="border-0">Received Date</th>
                <th class="border-0" style="width: 200px;">Candidate/Address</th>
                <th class="border-0">Client Name</th>
                <th class="border-0">Ref No</th>
                <th class="border-0">Executive/Status</th>
                <th class="border-0"></th>
              </tr>
            </thead>
            <tbody>
              <% @cases.each do |c| %>
                <tr>
                  <td>
                    <div class="custom-control custom-checkbox mb-1">
                      <%= check_box_tag 'case_ids[]', c.id, false, id: "checkbox-#{c.id}", class: "custom-control-input" %>
                      <%= label_tag '', '', class: "custom-control-label", for: "checkbox-#{c.id}" %>
                    </div>
                  </td>
                  <td>
                    <%= c.received_date %><br />
                    <% if c.out_of_tat?.present? %>
                      <span class="badge badge-pill badge-danger", style="margin-top: 5px;">Out of tat</span>
                    <% end %>
                  </td>
                  <td><%= link_to staff_case_path(c) do %><%= c.candidate_name %><br /><small style="color: #5a6169;"><%= c.address %></small><% end %></td>
                  <td> <%= c.client.name %> </td>
                  <td><%= c.client_ref_no %></td>
                  <td>
                    <%= c.user&.name %>
                    <br />
                    <span class="badge badge-pill badge-dark"><%= c.status %></span><br />
                    
                    <%if c.is_untraceable.present? %> 
                      <span class="badge badge-pill badge-warning", style="margin-top: 5px;">Untraceable</span>
                    <% end %><br />
                  </td>
                  <td><%= link_to 'Template', template_executive_case_path(c) %></td>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
        <% end %>
        <% else %>
        <strong style="padding: 10px; text-align: center;"> You don't have Cases </strong>
      <%end %>
    </div>
  </div>
</div>












